# Interface HTMLAreaElement

All Superinterfaces:
  `Element, HTMLElement, Node`

public interface HTMLAreaElement extends HTMLElement
Client-side image map area definition. See the AREA element definition in HTML 4.0.

See also the Document Object Model (DOM) Level 2 Specification.

Since:
  1.4, DOM Level 2

## Field Summary

### Fields declared in interface Node

`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAccessKey()`
A single character access key to give access to the form control.
`String`
`getAlt()`
Alternate text for user agents not rendering the normal content of this element.
`String`
`getCoords()`
Comma-separated list of lengths, defining an active region geometry.
`String`
`getHref()`
The URI of the linked resource.
`boolean`
`getNoHref()`
Specifies that this area is inactive, i.e., has no associated action.
`String`
`getShape()`
The shape of the active area.
`int`
`getTabIndex()`
Index that represents the element's position in the tabbing order.
`String`
`getTarget()`
Frame to render the resource in.
`void`
`setAccessKey(String accessKey)`
`void`
`setAlt(String alt)`
`void`
`setCoords(String coords)`
`void`
`setHref(String href)`
`void`
`setNoHref(boolean noHref)`
`void`
`setShape(String shape)`
`void`
`setTabIndex(int tabIndex)`
`void`
`setTarget(String target)`

### Methods declared in interface Element

`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

### Methods declared in interface HTMLElement

`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

### Methods declared in interface Node

`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

## Method Details

### getAccessKey

String getAccessKey()
A single character access key to give access to the form control. See the accesskey attribute definition in HTML 4.0.

### setAccessKey

void setAccessKey(String accessKey)

### getAlt

String getAlt()
Alternate text for user agents not rendering the normal content of this element. See the alt attribute definition in HTML 4.0.

### setAlt

void setAlt(String alt)

### getCoords

String getCoords()
Comma-separated list of lengths, defining an active region geometry. See also `shape` for the shape of the region. See the coords attribute definition in HTML 4.0.

### setCoords

void setCoords(String coords)

### getHref

String getHref()
The URI of the linked resource. See the href attribute definition in HTML 4.0.

### setHref

void setHref(String href)

### getNoHref

boolean getNoHref()
Specifies that this area is inactive, i.e., has no associated action. See the nohref attribute definition in HTML 4.0.

### setNoHref

void setNoHref(boolean noHref)

### getShape

String getShape()
The shape of the active area. The coordinates are given by `coords` . See the shape attribute definition in HTML 4.0.

### setShape

void setShape(String shape)

### getTabIndex

int getTabIndex()
Index that represents the element's position in the tabbing order. See the tabindex attribute definition in HTML 4.0.

### setTabIndex

void setTabIndex(int tabIndex)

### getTarget

String getTarget()
Frame to render the resource in. See the target attribute definition in HTML 4.0.

### setTarget

void setTarget(String target)